(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21613,        652]
NotebookOptionsPosition[     20870,        627]
NotebookOutlinePosition[     21332,        645]
CellTagsIndexPosition[     21289,        642]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]", "=", "314."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"2", "*", 
    FractionBox["Pi", "\[Omega]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f0", "=", 
   FractionBox["1", "T"]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "15"}], ",", 
     RowBox[{"c", "->", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}], ",", 
     RowBox[{"L", "->", "0.1"}], ",", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "\[Rule]", 
      RowBox[{"10", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"2", "*", "Pi", "*", 
          FractionBox["t", "T"]}], "+", "0.3"}], "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceSoucastek", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"iR", "[", "t", "]"}], "*", "R"}]}], ",", 
     RowBox[{
      RowBox[{"uL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"ic", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"uc", "'"}], "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceNapeti", "=", 
   RowBox[{"{", 
    RowBox[{"0", "\[Equal]", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "-", 
      RowBox[{"uR", "[", "t", "]"}], "-", 
      RowBox[{"uL", "[", "t", "]"}], "-", 
      RowBox[{"uc", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceProudy", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iL", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"ic", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcePocatecnichPodminek", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uc", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.463896878828125*^9, 3.46389688790625*^9}, {
   3.46389691821875*^9, 3.463896962171875*^9}, 3.463897003265625*^9, {
   3.463897097859375*^9, 3.4638971001875*^9}, {3.463897258796875*^9, 
   3.463897258859375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vektorDerivaci", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SuperscriptBox["uc", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], ",", 
     RowBox[{
      SuperscriptBox["iL", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"vektorDerivaci", "/.", 
    RowBox[{
     RowBox[{
      RowBox[{"a_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", 
     RowBox[{"a", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prave", "=", 
   RowBox[{"vektorDerivaci", "/.", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"Union", "[", 
        RowBox[{"rceSoucastek", ",", "rceProudy", ",", "rceNapeti"}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SuperscriptBox["uc", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], ",", 
         RowBox[{
          SuperscriptBox["iL", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"iR", "[", "t", "]"}], ",", 
         RowBox[{"uR", "[", "t", "]"}], ",", 
         RowBox[{"uL", "[", "t", "]"}], ",", 
         RowBox[{"ic", "[", "t", "]"}]}], "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rceDerivaci", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"Equal", "[", 
    RowBox[{"vektorDerivaci", ",", "prave"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.46338970465625*^9, 3.463389735921875*^9}, {
  3.46338978209375*^9, 3.463389798015625*^9}, {3.463389839578125*^9, 
  3.46338985528125*^9}, {3.4633899114375*^9, 3.4633899790625*^9}, {
  3.46339004303125*^9, 3.463390129859375*^9}, {3.463390170359375*^9, 
  3.463390198953125*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"vse", "=", 
     RowBox[{
      RowBox[{"Union", "[", 
       RowBox[{"rceDerivaci", ",", "rcePocatecnichPodminek"}], "]"}], "/.", 
      "dos"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", 
     RowBox[{"18", "T"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{"vse", ",", "nezname", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"napeti", "=", 
     RowBox[{
      RowBox[{"uc", "[", "t", "]"}], "/.", "res"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"napeti", ",", 
       RowBox[{
        RowBox[{"0.1", 
         RowBox[{"u", "[", "t", "]"}]}], "/.", "dos"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t [s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"uc\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\),  \!\(\*
StyleBox[\"0.1\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"u\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"t\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "0", "]"}], ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "0.63", "]"}], ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.463062342065709*^9, 3.4630625674097376`*^9}, {
   3.463062602339965*^9, 3.4630627140505967`*^9}, 3.4630627706920433`*^9, 
   3.463389666640625*^9, {3.46339015475*^9, 3.463390156984375*^9}, {
   3.4633902039375*^9, 3.463390214859375*^9}, {3.463390314203125*^9, 
   3.463390321609375*^9}, {3.46339036353125*^9, 3.463390369203125*^9}, {
   3.46339055065625*^9, 3.463390569546875*^9}, 3.463809422959747*^9, 
   3.463896934390625*^9, 3.463897338609375*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"\[Omega]", "*", "t"}], "]"}], ",", 
        RowBox[{"Um", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"\[Omega]", "*", "t"}], "+", "fi"}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<t\>\"", ",", "\"\<Sin[\[Omega]*t],Um*Sin[\[Omega]*t+fi]\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"Um", ",", "0.1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"fi", ",", 
      RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4638105396316214`*^9, 3.4638107133503714`*^9}, {
  3.4638107575378714`*^9, 3.4638107808816214`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rnd", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zadano", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"Abs", "[", "rnd", "]"}], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "rnd"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sinusoida1", "=", 
   RowBox[{
    RowBox[{"Abs", "[", "rnd", "]"}], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "rnd"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sinusoida2", "=", 
   RowBox[{
    RowBox[{"Abs", "[", "rnd", "]"}], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "rnd"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dat", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"zadano", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "T", ",", 
       FractionBox["T", "20"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{
    RowBox[{"a", "*", "sinusoida1"}], "+", 
    RowBox[{"b", "*", "sinusoida2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dosFit", "=", 
  RowBox[{"FindFit", "[", 
   RowBox[{"dat", ",", "model", ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"nahr", "=", 
  RowBox[{"model", "/.", "dosFit"}]}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"nahr", "-", 
    RowBox[{"zadano", "[", "t", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<chyba nahrady\>\""}], "}"}]}]}], 
  "]"}], "\n", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"zadano", "[", "t", "]"}], ",", 
         RowBox[{
          RowBox[{"k1", "*", "sinusoida1"}], "+", 
          RowBox[{"k2", "*", "sinusoida2"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t[s]\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
       RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Speed\>\""}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k1", ",", 
         RowBox[{"a", "-", "1"}], ",", 
         RowBox[{"a", "+", "1"}]}], "}"}], "/.", "dosFit"}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k2", ",", 
         RowBox[{"b", "-", "1"}], ",", 
         RowBox[{"b", "+", "1"}]}], "}"}], "/.", "dosFit"}], "]"}]}], "]"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.463810895240997*^9, {3.463897315015625*^9, 3.46389731525*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"FullForm", "[", "res", "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4638117145066214`*^9, 3.463811721303497*^9}, {
  3.46389707190625*^9, 3.463897075234375*^9}}],

Cell["\<\

Uk\[AAcute]zka nalezen\[IAcute] amplitudy a f\[AAcute]ze hledan\[EAcute]ho \
nap\:011bt\[IAcute] a proudu \"hrubou silou\", pomoc\[IAcute] hled\[AAcute]n\
\[IAcute] minima pro zv\[IAcute]dav\:011bj\[SHacek]\[IAcute] \[CHacek]ten\
\[AAcute]\:0159e.\
\>", "Text",
 CellChangeTimes->{{3.4647773762426*^9, 3.4647774672530003`*^9}, {
  3.4647775057382*^9, 3.4647775250354*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"rceHUS", ",", "ciselneHUS"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosHus", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"iL", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ILm", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"\[Omega]", "*", "#"}], "+", "fiIL"}], "]"}]}], "&"}], 
       ")"}]}], ",", 
     RowBox[{"uc", "->", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ucm", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"\[Omega]", "*", "#"}], "+", "fiUc"}], "]"}]}], "&"}], 
       ")"}]}], ",", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "\[Rule]", 
      RowBox[{"Uz", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"\[Omega]", "*", "t"}], "+", "fiUz"}], "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceHUS", "=", 
   RowBox[{"rceDerivaci", "/.", "dosHus"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ciselneHUS", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"rceHUS", "//.", "dos"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fiUz", "\[Rule]", "0"}], ",", 
      RowBox[{"Uz", "\[Rule]", "10"}]}], "}"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"proMinimum", "=", 
   RowBox[{"Plus", "@@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"ciselneHUS", "[", "t", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "T", ",", 
           FractionBox["T", 
            RowBox[{"20", "+", 
             RowBox[{"Random", "[", "]"}]}]]}], "}"}]}], "]"}], "]"}], "/.", 
      RowBox[{
       RowBox[{"a_", "\[Equal]", "b_"}], "\[RuleDelayed]", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}], "2"]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"resHus", "=", 
  RowBox[{"NMinimize", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"proMinimum", ",", 
      RowBox[{
       RowBox[{"ILm", "\[GreaterEqual]", "0"}], "&&", 
       RowBox[{"Ucm", "\[GreaterEqual]", "0"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ILm", ",", "0.1", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Ucm", ",", "0.1", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fiUc", ",", "0", ",", "Pi"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fiIL", ",", "0", ",", "Pi"}], "}"}]}], "}"}], ",", 
    RowBox[{"MaxIterations", "\[Rule]", 
     SuperscriptBox["10", "4"]}]}], "]"}]}], "\n", 
 RowBox[{"ucZHus", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"uc", "[", "t", "]"}], "/.", "dosHus"}], ")"}], "/.", 
   RowBox[{"resHus", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"napeti", ",", "ucZHus"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t [s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"uc\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\),  \!\(\*
StyleBox[\"ucHUS\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"t\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.63", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.46389568946875*^9, 3.46389581840625*^9}, {
   3.4638958945*^9, 3.463895963984375*^9}, {3.463896017640625*^9, 
   3.46389605971875*^9}, {3.463896103765625*^9, 3.463896119015625*^9}, {
   3.46389623846875*^9, 3.463896267328125*^9}, {3.463896768828125*^9, 
   3.463896788265625*^9}, {3.463897133875*^9, 3.46389716640625*^9}, 
   3.463897397515625*^9, {3.4638974295*^9, 3.463897458890625*^9}, {
   3.4647778319342003`*^9, 3.4647778948958*^9}}],

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Arg[-\[Infinity]-I]= \>\"", ",", 
   RowBox[{"Arg", "[", 
    RowBox[{
     RowBox[{"-", "\[Infinity]"}], "-", "I"}], "]"}], ",", 
   "\"\<     Arg[-\[Infinity]+I]= \>\"", ",", 
   RowBox[{"Arg", "[", 
    RowBox[{
     RowBox[{"-", "\[Infinity]"}], "+", "I"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Arg[-1.03*\!\(\*SuperscriptBox[\(10\), \(6\)]\)-I]= \>\"", ",", 
   RowBox[{"Arg", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1.03"}], "*", 
      SuperscriptBox["10", "6"]}], "-", "I"}], "]"}], ",", 
   "\"\<     Arg[1.03*\!\(\*SuperscriptBox[\(10\), \(6\)]\)+I]= \>\"", ",", 
   RowBox[{"Arg", "[", 
    RowBox[{
     RowBox[{"1.03", "*", 
      SuperscriptBox["10", "6"]}], "+", "I"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Arg[0]= \>\"", ",", 
   RowBox[{"Arg", "[", "0", "]"}], ",", "\"\<     Arg[163]= \>\"", ",", 
   RowBox[{"Arg", "[", "163", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Arg[0.*I]= \>\"", ",", 
   RowBox[{"Arg", "[", 
    RowBox[{"0.", "I"}], "]"}], ",", "\"\<     Arg[161*I]= \>\"", ",", 
   RowBox[{"Arg", "[", 
    RowBox[{"161", "*", "I"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Arg[-158.*I]= \>\"", ",", 
   RowBox[{"Arg", "[", 
    RowBox[{
     RowBox[{"-", "158."}], "*", "I"}], "]"}], ",", 
   "\"\<     \!\(\*FractionBox[\(Arg[0.  + 161. *I]\), \(\[Pi]\)]\)= \>\"", 
   ",", 
   FractionBox[
    RowBox[{"Arg", "[", 
     RowBox[{"0.", "+", 
      RowBox[{"161.", "*", "I"}]}], "]"}], "\[Pi]"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.464781639374*^9, 3.4647817016492*^9}, {
  3.4647818186804*^9, 3.4647819790796003`*^9}, {3.4647820100768003`*^9, 
  3.4647820924448*^9}, {3.4647821895236*^9, 3.464782246058*^9}, {
  3.4647851842924*^9, 3.4647852005788*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{"Arg", "[", 
      RowBox[{"x", "+", 
       RowBox[{"I", " ", "y"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Re[z]\>\"", ",", "\"\<Im[z]\>\"", ",", "\"\<Arg[z]\>\""}],
        "}"}]}], ",", 
     RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"x", "+", 
       RowBox[{"I", " ", "y"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Re[z]\>\"", ",", "\"\<Im[z]\>\"", ",", "\"\<Abs[z]\>\""}],
        "}"}]}], ",", 
     RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}]}], "]"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.464785234462*^9, 3.4647853872328*^9}}]
},
WindowSize->{1282, 744},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 2., 2. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2502, 79, 399, "Input"],
Cell[3050, 101, 1884, 51, 228, "Input"],
Cell[4937, 154, 2775, 79, 364, "Input"],
Cell[7715, 235, 1171, 33, 126, "Input"],
Cell[8889, 270, 3437, 107, 534, "Input"],
Cell[12329, 379, 204, 4, 57, "Input"],
Cell[12536, 385, 383, 8, 121, "Text"],
Cell[12922, 395, 4738, 141, 656, "Input"],
Cell[17663, 538, 1922, 48, 341, "Input"],
Cell[19588, 588, 1278, 37, 160, "Input"]
}
]
*)

(* End of internal cache information *)
