(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6434,        203]
NotebookOptionsPosition[      5977,        184]
NotebookOutlinePosition[      6486,        204]
CellTagsIndexPosition[      6443,        201]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"$HistoryLength", "=", "2"}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.540141770125*^9, 3.540141775765625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s1", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s2", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0s", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", "0"}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"-", "n"}], ",", "n"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y0s", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "#"}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"-", "n"}], ",", "n"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"np", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"b_", ",", "t_", ",", "v_"}], "]"}], ":=", 
   RowBox[{"b", "+", 
    RowBox[{"t", "*", "v"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vzorsX", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"r", "[", 
        RowBox[{
         RowBox[{"x0s", "[", 
          RowBox[{"[", 
           RowBox[{"i", "+", "n", "+", "1"}], "]"}], "]"}], ",", "t", ",", 
         "s2"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "n"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "n", ",", 
         FractionBox["n", "np"]}], "}"}]}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vzorsY", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"r", "[", 
        RowBox[{
         RowBox[{"y0s", "[", 
          RowBox[{"[", 
           RowBox[{"i", "+", "n", "+", "1"}], "]"}], "]"}], ",", "t", ",", 
         "s1"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "n"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "n", ",", 
         FractionBox["n", "np"]}], "}"}]}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{"N", "@", 
    RowBox[{"Union", "[", 
     RowBox[{"vzorsX", ",", "vzorsY"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plvzor", "=", 
   RowBox[{"body", "//", 
    RowBox[{
     RowBox[{"ListPlot", "[", 
      RowBox[{"#", ",", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.006", "]"}], ",", "Blue", ",", 
          RowBox[{"Opacity", "[", "0.9", "]"}]}], "}"}]}]}], "]"}], "&"}]}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"fZobr", ",", "obr"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fZobr", "[", "z_", "]"}], ":=", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"z", "+", 
      RowBox[{"0.08", 
       SuperscriptBox["z", "2"]}], "+", "8", "-", 
      RowBox[{"0.01", 
       SuperscriptBox["z", "3"]}]}], "]"}], "*", 
    RowBox[{"Exp", "[", 
     RowBox[{"I", "*", "0.2"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"obr", "[", "bod_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "z", "}"}], ",", 
     RowBox[{
      RowBox[{"z", "=", 
       RowBox[{"fZobr", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "I"}], "}"}], ".", "bod"}], "]"}]}], ";", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Re", "[", "z", "]"}], ",", 
        RowBox[{"Im", "[", "z", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"obrs", "=", 
   RowBox[{"obr", "/@", "body"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plvobrs", "=", 
    RowBox[{"obrs", "//", 
     RowBox[{
      RowBox[{"ListPlot", "[", 
       RowBox[{"#", ",", 
        RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
        RowBox[{"Axes", "\[Rule]", "False"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "0.006", "]"}], ",", 
           RowBox[{"Hue", "[", "0", "]"}], ",", 
           RowBox[{"Opacity", "[", "0.9", "]"}]}], "}"}]}]}], "]"}], 
      "&"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plvobrs", ",", "plvzor", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.540141803359375*^9, 3.540142023484375*^9}, {
   3.540142060828125*^9, 3.54014218759375*^9}, {3.540142237328125*^9, 
   3.540142544859375*^9}, {3.540142579421875*^9, 3.54014289696875*^9}, {
   3.54014293809375*^9, 3.54014297859375*^9}, {3.54014301609375*^9, 
   3.540143032453125*^9}, 3.540143390421875*^9, {3.5401441454375*^9, 
   3.54014439084375*^9}, {3.540144800109375*^9, 3.540144834390625*^9}, {
   3.540178256421875*^9, 3.5401782913125*^9}}]
},
WindowSize->{1632, 870},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
TaggingRules->{"SearchTextTranslated" -> ""},
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 183, 5, 71, "Input"],
Cell[731, 27, 5242, 155, 697, "Input"]
}
]
*)

(* End of internal cache information *)
